Bug 192097 - CPU usage about 30-50% in big file
CPU usage about 30-50% in big file
Status: RESOLVED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
PC Windows 7
: P2 with 2 votes (vote)
: 7.0
Assigned To: issues@php
issues@php
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-18 11:31 UTC by nbphpuser
Modified: 2010-12-07 06:12 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (769.85 KB, text/plain)
2010-11-18 11:32 UTC, nbphpuser
Details
Example file (359.76 KB, text/plain)
2010-11-18 11:33 UTC, nbphpuser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nbphpuser 2010-11-18 11:31:23 UTC
While editing big files CPU usage about 30-50% (see attachments). Not only CC is slow, writing simple comment line or whatever causes CPU load about 20-30%. Of course, one shouldn't create such big files.

See also Issue http://netbeans.org/bugzilla/show_bug.cgi?id=185714
Comment 1 nbphpuser 2010-11-18 11:32:10 UTC
Created attachment 103062 [details]
thread dump
Comment 2 nbphpuser 2010-11-18 11:33:24 UTC
Created attachment 103063 [details]
Example file
Comment 3 Petr Pisl 2010-11-18 15:50:15 UTC
I have looked through the snapshot and it seems that the bulk of time was spent in the refreshing index. I will look at this more closely.
Comment 4 Petr Pisl 2010-12-06 14:59:03 UTC
I have committed some improvements today for editing bigger files. It should be available in tomorrows build. Could you check it then? Thanks.
Comment 5 Petr Pisl 2010-12-06 16:32:29 UTC
I'm cloing now this issue. Please reopen, if you think that it's not better. I have play with your example file and CPU usage was better during writing.
Comment 6 nbphpuser 2010-12-06 17:05:47 UTC
it is definitely better now! Thanks!

Not sure if it is related #192775
Comment 7 Quality Engineering 2010-12-07 06:12:12 UTC
Integrated into 'main-golden', will be available in build *201012070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/44271f6eb59d
User: Petr Pisl <ppisl@netbeans.org>
Log: #192097 - CPU usage about 30-50% in big file


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo